/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN - Modulo Spianamenti e Sbancamenti                    //
//                                                                                //
//  FILE: PCVOLVEL.DCL    definizione dialog box per gestione input e output co-  //
//                        mando calcolo volume veloce triangoli                   //
//                                                                                //
//  HighC Metaware Ver. 1.71                                                      //
//                                                                                //
//  Scritto da: Arianna Nini & Stefania Martinelli                                //
//                                                                                //
//  RELEASE: 2.00     DATA: luglio 1994  AGGIORNAMENTO:  aprile 1995              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1994                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ----------------------------- PCVolVel ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolVel : dialog
	   {
	    label = "Calculate volumes on models";
	    initial_focus = "quota";
	    : boxed_column
	      {
	       label = "Input data";
	       : row
		 {
		  : text
		    {
		     label = "Perimeter polyline area: ";
		     width = 25;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 13;
		     key = "areapoly";
		     fixed_width = true;
		     alignment = left;
		    }
		  : text
		    {
		     label = "";
		     width = 34;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Upper DTM layer: ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymods";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolis";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Avg. El.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qms";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Lower DTM layer: ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymodi";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolii";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Avg. El.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmi";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Reference Elevation: ";
		     width = 22;
		    }
		  : edit_box
		    {
		     value = "0.00";
		     key = "qrif";
		     edit_width = 15;
		    }
		  /* testo inserito solo per estetica riquadro */
		  : text
		    {
		     value = "";
		     width = 14;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Min. El.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmin";
		     fixed_width = true;
		    }
		 } /* row */
	       : boxed_row
		 {
		  label = "Decimals in computing";
		  : row
		    {
		     : text
		       {
			value = "Distance: ";
			width = 10;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decdist";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Area: ";
			width = 6;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decarea";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Volume: ";
			width = 8;
		       }
		     : edit_box
		       {
			value = "3";
			key = "decvol";
			edit_width = 5;
		       }
		    } /* row */
		 } /* boxed_row */
	      } /* boxed_row */
	    : boxed_column
	      {
	       label = "Output data";
	       : row
		 {
		  : text
		    {
		     label = "Upper DTM:   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area (sq.m.):";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamods";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume (cu.m.): ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmods";
		     width = 16;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     label = "Lower DTM:   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area (sq.m.):";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamodi";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume (cu.m.): ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmodi";
		     width = 16;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     label = "Differences: ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area (sq.m.):";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areadif";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume (cu.m.): ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "voldif";
		     width = 16;
		    }
		 } /* row */
	      } /* boxed_row */
	    : row
	      {
	       : text
		 {
		  key = "msg";
		  width = 42;
		 value = "";
		 }
	       : text
		 {
		  key = "msg_tri";
		  width = 23;
		 value = "";
		 }
	      }
	    : text
	      {
	       key = "msg_err";
	       width = 65;
	       value = "";
	      }
	    : row
	      {
	       : button
		 {
		  label = "Calculate";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Print...";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Cancel";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	   } /* fine dialog */

/* ----------------------------- DDStampaVV --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVV : dialog
	   {
	    label = "Print model volumes";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Type of print";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Fast";
		     key = "svel";
		     value = 1;
		    }
		   : radio_button
		     {
		      label = "Detailed";
		      key = "sdett";
		      value = 0;
		     }
		   : radio_button
		     {
		      label = "Summary";
		      key = "sriep";
		      value = 0;
		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Drawing";
		     : toggle
		       {
			label = "Number on triangles";
			key = "numtri";
			value = "0";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Upper Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
			   key = "tlaytris";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtris";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Select...";
			   key = "SelLayerS";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		     : row
		       {
			: text
			  {
			   value = "Lower Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
			   key = "tlaytrii";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtrii";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Select...";
			   key = "SelLayerI";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Setup printer...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Cancel";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */
/* ----------------------------- PCVolVel ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolVelR : dialog
	   {
	    label = "Calculate volumes on models";
	    initial_focus = "quota";
	    : boxed_column
	      {
	       label = "Input data";
	       : row
		 {
		  : text
		    {
		     label = "Perimeter polyline area: ";
		     width = 25;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 13;
		     key = "areapoly";
		     fixed_width = true;
		     alignment = left;
		    }
		  : text
		    {
		     label = "";
		     width = 34;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "DTM Layer: ";
		     width = 22;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "";
		     width = 16;
		     key = "laymods";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "N.tri.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0";
		     width = 5;
		     key = "triangolis";
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Avg. El.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qms";
		     fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : text
		    {
		     value = "Reference Elevation: ";
		     width = 22;
		    }
		  : edit_box
		    {
		     value = "0.00";
		     key = "qrif";
		     edit_width = 15;
		    }
		  /* testo inserito solo per estetica riquadro */
		  : text
		    {
		     value = "";
		     width = 14;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "Min. El.: ";
		     width = 8;
		     fixed_width = true;
		    }
		  : text
		    {
		     value = "0.0";
		     width = 10;
		     key = "qmin";
		     fixed_width = true;
		    }
		 } /* row */
	       : boxed_row
		 {
		  label = "Decimals in computing";
		  : row
		    {
		     : text
		       {
			value = "Distance: ";
			width = 10;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decdist";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Area: ";
			width = 6;
		       }
		     : edit_box
		       {
			value = "2";
			key = "decarea";
			edit_width = 5;
		       }
		     : text
		       {
			value = "";
			width = 12;
		       }
		     : text
		       {
			value = "Volume: ";
			width = 8;
		       }
		     : edit_box
		       {
			value = "3";
			key = "decvol";
			edit_width = 5;
		       }
		    } /* row */
		 } /* boxed_row */
	      } /* boxed_row */
	    : spacer {height = 1;}
	    : boxed_column
	      {
	       label = "Output data";
	       : row
		 {
		  : text
		    {
		     label = "DTM :   ";
		     width = 12;
		    }
		  : text
		    {
		     label = "Area (sq.m.):";
		     width = 12;
		    }
		  : text
		    {
		     value = "           0.0";
		     key = "areamods";
		     width = 14;
		    }
		  : text
		    {
		     label = " Volume (cu.m.): ";
		     width = 13;
		    }
		  : text
		    {
		     value = "             0.0";
		     key = "volmods";
		     width = 16;
		    }
		 } /* row */
	      } /* boxed_row */
	    : row
	      {
	       : text
		 {
		  key = "msg";
		  width = 42;
		 value = "";
		 }
	       : text
		 {
		  key = "msg_tri";
		  width = 23;
		 value = "";
		 }
	      }
	    : text
	      {
	       key = "msg_err";
	       width = 65;
	       value = "";
	      }
	    : row
	      {
	       : button
		 {
		  label = "Calculate";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Print...";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Cancel";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	   } /* fine dialog */
/* ----------------------------- DDStampaVV --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVVR : dialog
	   {
	    label = "Print model volumes";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Type of print";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Fast";
		     key = "svel";
		     value = 1;
		    }
		   : radio_button
		     {
		      label = "Detailed";
		      key = "sdett";
		      value = 0;
		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Drawing";
		     : toggle
		       {
			label = "Number on triangles";
			key = "numtri";
			value = "0";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Layer : ";
			   key = "tlaytris";
			   is_enabled = false;
			   fixed_width = true;
			   width = 12;
			  }
			: text
			  {
			   value = "";
			   key = "laynumtris";
			   fixed_width = true;
			   width = 20;
			   is_enabled = false;
			  }
			: button
			  {
			   label = "Select...";
			   key = "SelLayerS";
			   is_enabled = false;
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Setup printer...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Cancel";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */
/* ----------------------------- PCVolSR ----------------------------------*/
/* gestisce dati in input e in output del calcolo volume di un modello a    */
/* triangoli (3dface)                                                       */
PCVolSR : dialog
{
	label = "Cut & Fill between models";
	initial_focus = "quota";
	: boxed_column
	{
	    	label = "Input data";
	    	: row
		{
		  	: text
		    	{
		     		label = "Perimeter polyline area: ";
		     		width = 25;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0.0";
		     		width = 13;
		     		key = "areapoly";
		     		fixed_width = true;
		     		alignment = left;
		    	}
		  	: text
		    	{
		     		label = "";
		     		width = 34;
		    	}
		 } /* row */
	       : row
		 {
		  	: text
		    	{
		     		value = "Original DTM Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
		     		width = 22;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "";
		     		width = 16;
		     		key = "laymods";
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "N.tri.: ";
		     		width = 8;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0";
		     		width = 5;
		     		key = "triangolis";
		     		fixed_width = true;
		    	}
		 } /* row */
	       : row
		 {
		  	: text
		    	{
		     		value = "Design DTM Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
		     		width = 22;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "";
		     		width = 16;
		     		key = "laymodi";
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "N.tri.: ";
		     		width = 8;
		     		fixed_width = true;
		    	}
		  	: text
		    	{
		     		value = "0";
		     		width = 5;
		     		key = "triangolii";
		     		fixed_width = true;
		    	}
		 } /* row */

	       : boxed_row
		 {
		  	label = "Decimals in computing";
		  	: row
		    	{
		     		: text
		       	{
					value = "Distance: ";
					width = 10;
		       	}
		     		: edit_box
		       	{
					value = "2";
					key = "decdist";
					edit_width = 5;
		       	}
		     		: text
		       	{
					value = "";
					width = 12;
		       	}
		     		: text
		       	{
					value = "Area: ";
					width = 6;
		       	}
		     		: edit_box
		       	{
					value = "2";
					key = "decarea";
					edit_width = 5;
		       	}
		     		: text
		       	{
					value = "";
					width = 12;
		       	}
		     		: text
		       	{
					value = "Volume: ";
					width = 8;
		       	}
		     		: edit_box
		       	{
					value = "3";
					key = "decvol";
					edit_width = 5;
		       	}
		    	} /* row */
		} /* boxed_row */
	} /* boxed_row */
	: boxed_row
	{
		label = "Output data";
	      : column
		{
			: text
		    	{
		     		label = "Cut:       ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Fill:  ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Neutral:  ";
		     		width = 12;
		    	}
		  	: text
		    	{
		     		label = "Checks: ";
		     		width = 12;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		label = "Area [sq.m.]: ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Area [sq.m.]: ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Area [sq.m.]: ";
		     		width = 15;
		    	}
		  	: text
		    	{
		     		label = "Tot. area (sq.m.)";
		     		width = 15;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areamods";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areamodi";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areaneutra";
		     		width = 14;
		    	}
		  	: text
		    	{
		     		value = "           0.0";
		     		key = "areadif";
		     		width = 14;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		label = " Volume (cu.m.): ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = " Volume (cu.m.): ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = " Volume (cu.m.): ";
		     		width = 13;
		    	}
		  	: text
		    	{
		     		label = "Volume Diff. [mc]:";
		     		width = 13;
		    	}
		}
		: column
		{
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "volmods";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "volmodi";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "                ";
		     		width = 16;
		    	}
		  	: text
		    	{
		     		value = "             0.0";
		     		key = "voldif";
		     		width = 16;
		    	}
		 } /* column */
	} /* boxed_row */
	: boxed_row
	{
		label = "Drafting settings";
		 : toggle
		 {
		     	label = "Draw triangles";
			key = "distri";
			value = "0";
		 } /* toggle */
		 : column
		 {
			: text			  
			{
			   value = "Cut Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
			   key = "tlayst";
			   fixed_width = true;
			   width = 12;
			}
			: text
			{
			   value = "Fill Layer: ";/*Alan Siega - 13/02/06 - cambiato per traduzione*/
			   key = "tlayri";
			   fixed_width = true;
			   width = 12;
			}
			: text
			{
			   value = "Neutral Layer: ";
			   key = "tlayne";
			   fixed_width = true;
			   width = 12;
			}
		} /* column */
		: column
		{
			: edit_box
			{
			   key = "layst";
			   fixed_width = true;
			   width = 40;
			}
			: edit_box
			{
			   key = "layri";
			   fixed_width = true;
			   width = 40;
			}
			: edit_box
			{
			   key = "layne";
			   fixed_width = true;
			   width = 40;
			}
		} /* column */
		: column
		{
			: button
			{
			   label = "Select...";
			   key = "SelLayerst";
			} /* button */
			: button
			{
			   label = "Select...";
			   key = "SelLayerri";
			} /* button */
			: button
			{
			   label = "Select...";
			   key = "SelLayerne";
			} /* button */
		} /* column */
	}
	: row
	{
	    	: text
	 	{
		  	key = "msg";
		  	width = 42;
		 	value = "";
		}
	      : text
		{
			key = "msg_tri";
			width = 23;
			value = "";
		}
     	}
	: text
	{
	       key = "msg_err";
	       width = 65;
	       value = "";
	}
	: row
	{
	       : button
		 {
		  label = "Calculate";
		  key = "Calcola";
		 } /* button */
	       : button
		 {
		  label = "Print";
		  key = "Stampa";
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Cancel";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
		: button
		 {
		  label = "?";
		  key = "help";
		  /*is_cancel = true;*/
		 } /* button */
	      } /* row */
	} /* fine dialog */

/* ----------------------------- DDStampaVVSR --------------------------------*/
/* gestisce dati per la stampa dei calcoli volumi modelli                   */
/* richiamata dal pulsante 'Stampa...' del riquadro precedente              */
DDStampaVVSR : dialog
	   {
	    label = "Print model volumes";
	    : row
	      {
	       : boxed_radio_column
		 {
		  label = "Type of print";
		  key = "stampa";
		  : radio_button
		    {
		     label = "Fast";
		     key = "svel";

		    }
		   : radio_button
		     {
		      label = "Detailed";
		      key = "sdett";

		     }
		   : radio_button
		     {
		      label = "Summary";
		      key = "sriep";

		     }
		 } /* boxed_radio column */
	       : column
		 {
		  : boxed_column
		    {
		     label = "Drawing";
		     : toggle
		       {
			label = "Number on polygons";
			key = "numtrisr";
		       } /* toggle */
		     : row
		       {
			: text
			  {
			   value = "Cut number Layer: ";
			   key = "tlaynst";
			   fixed_width = true;
			   width = 12;
			  }
			: edit_box
			  {
			   key = "laynst";
			   fixed_width = true;
			   width = 40;
			  }
			: button
			  {
			   label = "Select...";
			   key = "SelLayernst";
			  } /* button */
		       } /* row */
		     : row
		       {
			: text
			  {
			   value = "Fill number Layer: ";
			   key = "tlaynri";
			   fixed_width = true;
			   width = 12;
			  }
			: edit_box
			  {
			   key = "laynri";
			   fixed_width = true;
			   width = 40;
			  }
			: button
			  {
			   label = "Select...";
			   key = "SelLayernri";
			  } /* button */
		       } /* row */
		    } /* boxed_column */
		  : text
		    {
		     label = "";
		    }
		 } /* column */
	      } /* row */
	    : text
	      {
	       value = "";
	       key = "msg_err";
	       width = 65;
	      }
	    : row
	      {
	       : button
		 {
		  label = "Setup printer...";
		  key = "ImpStampa";
		 } /* button */
	       : button
		 {
		  label = "Print/Export WORD";
		  key = "accept";
		  is_default = true;
		 } /* button */
	       : button
		 {
		  label = "Ok";
		  key = "cancel";
		  is_cancel = true;
		 } /* button */
	      } /* row */
	   } /* dialog */

